This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 854774 - [as7] Unable to enable datasource on creation
[as7] Unable to enable datasource on creation
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
All All
urgent Severity high (vote)
: ---
: RHQ 4.8
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks: 854773
  Show dependency treegraph
 
Reported: 2012-09-05 19:49 EDT by Larry O'Leary
Modified: 2013-09-11 05:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 854773
Environment:
Last Closed: 2013-09-11 05:52:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-09-05 19:49:21 EDT
+++ This bug was initially created as a clone of JON product Bug #854773 +++

Description of problem:
Newly created datasources do not honor the "Enabled" configuration option when it is set to "Yes". The result is that a user can create a new datasource but the datasource is not enabled in the EAP server.

Version-Release number of selected component (if applicable):
3.1.0

How reproducible:
Always

Steps to Reproduce:
1.  Import standalone EAP 6 server into JON inventory
2.  Navigate to the *datasources* node of the newly imported EAP 6 standalone server (i.e. *JBossAS7 Standalone Servers / EAP (127.0.0.1:9990) / datasources*)
3.  Select its *Inventory > Child Resources* tab
4.  Click *Create Child -> DataSource (Standalone)*
5.  Enter a name (i.e. TestDS) and click *Next*
6.  Set the following properties and click *Finish*

        *Connection Url*:   `jdbc:h2:mem:test;DB_CLOSE_DELAY=-1`
        *Driver Name*:      `h2`
        *Jndi Name*:        `java:jboss/datasources/TestDS`
        *User Name*:        `sa`
        *Password*:         `sa`
        *Enabled*:          *Yes*

7.  Click *Refresh* and wait for TestDS to appear in datasources *Inventory > Child Resources* tab
8.  Select newly created *TestDS* resource
9.  Select its *Configuration > Current* tab
  
Actual results:
Enabled configuration property is set to `false`

Expected results:
Enabled configuration property should be `true`

Additional info:
To enable the datasource, the user must use the EAP 6 Management Console as this configuration option is read-only in JON 3.1.0 due to Bug 847119.
Comment 2 Thomas Segismont 2013-06-04 12:04:29 EDT
This is fixed. See BZ854773
Comment 3 Heiko W. Rupp 2013-09-11 05:52:00 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.